Sunbird does not use highest resolution icon

Bug #399400 reported by mrboojive
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lightning-sunbird (Ubuntu)
Undecided
John Vivirito

Bug Description

Binary package hint: sunbird

The icon used by Mozilla Sunbird is /usr/share/pixmaps/sunbird.png, which is installed with the sunbird package. This icon is actually a static link to the file /usr/share/sunbird/icons/mozicon50.png, a 50x50 icon. However, the sunbird package includes a 128x128 icon: /usr/share/sunbird/icons/mozicon128.png. The sunbird.png link in pixmaps should point to the 128x128 icon so the icon looks better whenever an icon larger than 50x50 is used, for example, if the user has large icons on their desktop or is using Gnome Do. The Firefox package is set up the same way and uses the 128x128 icon.

Changed in lightning-sunbird (Ubuntu):
status: New → Fix Released
Revision history for this message
John Vivirito (gnomefreak) wrote :

This has already been taken care of just waiting for a push to Karmic. Please test the package in my PPA at:

https://launchpad.net/~gnomefreak/+archive/ppa

I have builds for jaunty intrepid nad hardy in PPA.
Change concerning icon is using the official branding (should take care of this bug as well.

The PPA builds do not have the added patches for arm arch FTBFS problems

Revision history for this message
mrboojive (mrboojive) wrote :

I tried this package from your PPA: https://launchpad.net/~gnomefreak/+archive/ppa/+files/sunbird_0.9+nobinonly-0ubuntu3~jjv_amd64.deb. I don't think the bug is fixed, it still seems to be linking to mozicon50.png.

Changed in lightning-sunbird (Ubuntu):
status: Fix Released → Triaged
Revision history for this message
John Vivirito (gnomefreak) wrote :

Ok i will look into this more.
Are you able to show me the difference that you are seeing between hte 50 and the 128. they both look fine here.
What graphics card drivers and screen res are you running?

Revision history for this message
John Vivirito (gnomefreak) wrote :

I will make a few changes to .links and rules and post a test package on my PPA. I would still like the info i asked for above.
Can you tell me if firefox is show correctly?
What system are you using ubuntu 9.04?

Revision history for this message
John Vivirito (gnomefreak) wrote :

This contains a bunch of fixes. I am uploading now to PPA and should be sometime today or tomorrow before its done building, depending on when the builder boxes become free.

Revision history for this message
mrboojive (mrboojive) wrote :

I am using Ubuntu 9.04. I don't think it has anything to do with my graphics card. The icon just doesn't look right whenever something needs to display an icon for Sunbird larger than 50 pixels. Here are two screenshots. The top part shows what it looks like when I put Firefox and Sunbird on my desktop (my desktop icons size is set to 150%). The Firefox icon is the same size as my other icons but the Sunbird one is a lot smaller because it's using the smaller icon. The bottom part shows Firefox and Sunbird side by side in Gnome Do. The Sunbird icon looks blurry.

Revision history for this message
John Vivirito (gnomefreak) wrote :

ok latest upload on my PPA are ready. I need to know if it is fixed for you so i can push it to my branch.

Changed in lightning-sunbird (Ubuntu):
status: Triaged → In Progress
Changed in lightning-sunbird (Ubuntu):
assignee: nobody → John Vivirito (gnomefreak)
Revision history for this message
mrboojive (mrboojive) wrote :

It's only sort of fixed. I tried this package from your PPA: https://launchpad.net/~gnomefreak/+archive/ppa/+files/sunbird_0.9+nobinonly-0ubuntu6~9.04~jjv1_amd64.deb. The link works, it points to mozicon128.png. But now mozicon128.png is not actually 128x128, it's been resized to 48x48. I was looking at the diff and it looks like the line that was using "convert -resize" to create mozicon50.png is now overwriting mozicon128.png.

Revision history for this message
John Vivirito (gnomefreak) wrote : Re: [Bug 399400] Re: Sunbird does not use highest resolution icon

On 07/16/2009 04:07 PM, mrboojive wrote:
> It's only sort of fixed. I tried this package from your PPA:
> https://launchpad.net/~gnomefreak/+archive/ppa/+files/sunbird_0.9
> +nobinonly-0ubuntu6~9.04~jjv1_amd64.deb. The link works, it points to
> mozicon128.png. But now mozicon128.png is not actually 128x128, it's
> been resized to 48x48. I was looking at the diff and it looks like the
> line that was using "convert -resize" to create mozicon50.png is now
> overwriting mozicon128.png.
>
Yeah i figured that was the issue just needed to make sure first. I am
having PC issues and i have work on my car to do. hopefully be done by
the end of month. about a week to get PC and car fixed and the 27th i
have eye surgery so i will be out ~1 week after surgery. If you can
provide me with a diff ill patch it and build it before monday/tuesday
if not i will get to it as soon as i can.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Revision history for this message
John Vivirito (gnomefreak) wrote :

ok this should do it for this bug. let me know version ending in ~jjv2 is the one that needs testing right now. than i will fix my branch so to update with official package you will need to remove mine and install without using PPA once it is pushed to archives. not sure if these fixes will be pushed to jaunty yet

Revision history for this message
John Vivirito (gnomefreak) wrote :

ok scratch that it failed to build for some reason. i will look into it later this week its sunday and i shouldnt even be online

Revision history for this message
mrboojive (mrboojive) wrote :

I tested the ~jjv2 Jaunty package and the icon is fixed in that one, even though the Karmic one is not building.

Revision history for this message
John Vivirito (gnomefreak) wrote :

On 07/20/2009 05:40 PM, mrboojive wrote:
> I tested the ~jjv2 Jaunty package and the icon is fixed in that one,
> even though the Karmic one is not building.
>
I think the failure is due to LP not me but i will re-run the build
sometime today locally to make sure. Thanks for testing

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Revision history for this message
John Vivirito (gnomefreak) wrote :

ok i know the failure to build i think (jaunty built fine, its karmic that i have to change GCC depends versions.

Revision history for this message
John Vivirito (gnomefreak) wrote :

Fixed in bzr branch. will ask for sponsorship in a bit and see what happens.
If you are using my PPA version please downgrade when it is released to universe

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightning-sunbird - 0.9+nobinonly-0ubuntu3

---------------
lightning-sunbird (0.9+nobinonly-0ubuntu3) karmic; urgency=low

  [ John Vivirito ]
  * Fixes (LP: #178785)
    - debian/rules: Added build option --enable-official-branding to build with official branding
    - debian/patches: Removed deb299697-lp42559-use-FC_ANY_METRICS.patch to fix build errors
    - debian/patches: Updated series
  * Fixes (LP: #399400)
    - debian/rules: Removed the convert icon section
    - debian/sunbird.links: Adjusted link to use the 128 icon
  * Fixes (LP: #401165)
    - debian/control: Removed GCC and GCC++ from build-deps
    - debian/rules: Commented out GCC and GCC++ lines to build using default
    - debian/patches: Added ftbfs_gcc44_elif.patch to fix FTBFS
    - debian/patches/series: Updated
  * Fixes (LP: #385325) crash in JS due to usage of wrong floating point number$
    - debian/patches: Added bz322806_arm-vfp-2538:3f78d5e894bc
    - debian/patches/series: Updated
  * Fixes (LP: #378754)
    - debian/control: Fixed typo in calendar-google-provider description.
  * Fixes (LP: #358084): add arm(el) xpcom patches from thunderbird package
    - add debian/patches/18_arm_xpcom_unused_attribute.dpatch
    - add debian/patches/38_arm_xpcom_optim.dpatch
    - add debian/patches/bz339782_cvs_xptcinvoke_arm_backport_1.13.patch
    - update debian/patches/series
  * debian/patches:
    - Add debian/patches/412610_attachment_309958.patch: to prevent crash on MAX_PATH
    - update debian/patches/series

 -- John Vivirito <email address hidden> Fri, 21 Aug 2009 10:57:02 -0400

Changed in lightning-sunbird (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments